{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.silverlabs_nat.hamster.riding_check": {
      "states": {
        "default": {
          "on_entry": ["@s silverlabs_nat:remove_move_away"],
          "transitions": [
            { "riding": "q.is_riding" }
          ]
        },
        "riding": {
          "transitions": [
            { "unriding": "!q.is_riding" }
          ],
          "on_exit": ["@s silverlabs_nat:move_away"]
        },
        "unriding": {
          "transitions": [
            { "default": "q.state_time >= 3.0" }
          ]
        }
      }
    },
    "controller.animation.silverlabs_nat.hamster.variant_fixer": {
      "initial_state": "default",
      "states": {
        "default": {
          "transitions": [
            { "variant_0": "q.had_component_group('silverlabs_nat:variant_0')" },
            { "variant_1": "q.had_component_group('silverlabs_nat:variant_1')" },
            { "variant_2": "q.had_component_group('silverlabs_nat:variant_2')" },
            { "variant_3": "q.had_component_group('silverlabs_nat:variant_3')" },
            { "variant_4": "q.had_component_group('silverlabs_nat:variant_4')" },
            { "variant_5": "q.had_component_group('silverlabs_nat:variant_5')" },
            { "variant_6": "q.had_component_group('silverlabs_nat:variant_6')" }
          ]
        },
        "variant_0": {
          "on_entry": ["@s silverlabs_nat:set_variant_black"]
        },
        "variant_1": {
          "on_entry": ["@s silverlabs_nat:set_variant_blackwhite"]
        },
        "variant_2": {
          "on_entry": ["@s silverlabs_nat:set_variant_brown"]
        },
        "variant_3": {
          "on_entry": ["@s silverlabs_nat:set_variant_grey"]
        },
        "variant_4": {
          "on_entry": ["@s silverlabs_nat:set_variant_orange"]
        },
        "variant_5": {
          "on_entry": ["@s silverlabs_nat:set_variant_peach"]
        },
        "variant_6": {
          "on_entry": ["@s silverlabs_nat:set_variant_white"]
        }
      }
    }
  }
}
